Attachment links fail when the file names contain the syntax pattern "_-_
2011-10-14 14:44 - Martin Alexander Neumann

Status: New Start date: 2011-10-14

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 1.0.1

Description

After uploading a file whose name contains "_-_" and creating a link to the file using the "attachment:" syntax, no html link is

generated after saving.

History

#1 - 2011-10-18 19:38 - Mischa The Evil

Confirmed on source:/trunk@7623.

#2 - 2011-10-18 19:41 - Mischa The Evil

- Subject changed from Attachment links in wiki fail when the file names contain the syntax pattern °_-_" to Attachment links fail when the file names
contain the syntax pattern "_-_"

Note: this is not tied to the Wiki only. It also happens on other objects which can handle attachments. Therefor I've adjusted both the issue subject
and description.

#3 - 2011-11-11 19:18 - Jean-Philippe Lang

As a workaround, you can use double quotes which works fine:

attachment:"test_—_test.txt"
